com.icesoft.faces.component.gmap

## Class GMapResourceHandler

- java.lang.Object
- - javax.faces.application.ResourceHandler
  - - javax.faces.application.ResourceHandlerWrapper
    - - com.icesoft.faces.component.gmap.GMapResourceHandler

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.application.ResourceHandler>

      public class GMapResourceHandler
      extends javax.faces.application.ResourceHandlerWrapper

- - ### Field Summary

    - ### Fields inherited from class javax.faces.application.ResourceHandler

      `LOCALE_PREFIX, RESOURCE_EXCLUDES_DEFAULT_VALUE, RESOURCE_EXCLUDES_PARAM_NAME, RESOURCE_IDENTIFIER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GMapResourceHandler(javax.faces.application.ResourceHandler handler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.application.Resource` | `createResource(java.lang.String resourceName)`
    `javax.faces.application.Resource` | `createResource(java.lang.String resourceName, java.lang.String libraryName)`
    `javax.faces.application.Resource` | `createResource(java.lang.String resourceName, java.lang.String libraryName, java.lang.String contentType)`
    `javax.faces.application.ResourceHandler` | `getWrapped()`

    - ### Methods inherited from class javax.faces.application.ResourceHandlerWrapper

      `getRendererTypeForResourceName, handleResourceRequest, isResourceRequest, libraryExists`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GMapResourceHandler

          public GMapResourceHandler(javax.faces.application.ResourceHandler handler)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.application.ResourceHandler getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.application.ResourceHandler>`
      Overrides:
        `getWrapped` in class `javax.faces.application.ResourceHandlerWrapper`

    - #### createResource

          public javax.faces.application.Resource createResource(java.lang.String resourceName)

      Overrides:
        `createResource` in class `javax.faces.application.ResourceHandlerWrapper`

    - #### createResource

          public javax.faces.application.Resource createResource(java.lang.String resourceName,
                                                                 java.lang.String libraryName)

      Overrides:
        `createResource` in class `javax.faces.application.ResourceHandlerWrapper`

    - #### createResource

          public javax.faces.application.Resource createResource(java.lang.String resourceName,
                                                                 java.lang.String libraryName,
                                                                 java.lang.String contentType)

      Overrides:
        `createResource` in class `javax.faces.application.ResourceHandlerWrapper`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.